org.apache.jorphan.gui.ui

## Class TextComponentUI

- java.lang.Object
- - org.apache.jorphan.gui.ui.TextComponentUI

-     @API(since="5.3",
           status=INTERNAL)
      public class TextComponentUI
      extends Object

  Configures undo manager for a text component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TextComponentUI` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextComponentUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `installUndo(JTextComponent component)` Installs an undo manager and keyboard shortcuts to a text component
    `void` | `resetUndoHistory()` Causes all undo managers to invalidate their history.
    `static void` | `uninstallUndo(JTextComponent component)` Removes the default undo manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          @API(since="5.3",
               status=INTERNAL)
          public static final TextComponentUI INSTANCE

  - ### Constructor Detail

    - #### TextComponentUI

          public TextComponentUI()

  - ### Method Detail

    - #### resetUndoHistory

          @API(since="5.3",
               status=INTERNAL)
          public void resetUndoHistory()

      Causes all undo managers to invalidate their history.

    - #### installUndo

          @API(since="5.3",
               status=INTERNAL)
          public void installUndo(JTextComponent component)

      Installs an undo manager and keyboard shortcuts to a text component
      Parameters:
        `component` - JTextField or JTextArea

    - #### uninstallUndo

          @API(since="5.5",
               status=INTERNAL)
          public static void uninstallUndo(JTextComponent component)

      Removes the default undo manager. By default, JMeter installs undo manager to all text fields via `Swing -> createUI`, however, undo is not always needed (e.g. log panel), so here's an API to remove it.
      Parameters:
        `component` - JTextField or JTextArea

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.